[Libreoffice-commits] .: 3 commits - Makefile.top solenv/bin
Libreoffice Gerrit user
logerrit at kemper.freedesktop.org
Mon Oct 29 15:42:39 PDT 2012
Makefile.top | 7 +++++++
solenv/bin/linkoo | 12 ++++++------
2 files changed, 13 insertions(+), 6 deletions(-)
New commits:
commit edc761452e8478c50e49350b8a7b426a865eeac4
Author: LuboÅ¡ LuÅák <l.lunak at suse.cz>
Date: Mon Oct 29 17:38:44 2012 +0100
new toplevel make target dev-update to update non-symliked dev-install
Should be especially useful on Windows (e.g. 'make sw dev-update').
Change-Id: Ie80b7f1caae0fc1edc7cf791494c7648ca7b8d82
diff --git a/Makefile.top b/Makefile.top
index d6a324b..715a7a8 100644
--- a/Makefile.top
+++ b/Makefile.top
@@ -477,6 +477,13 @@ endif
dev-install-nocheck : export SKIP_TESTS := YES
dev-install-nocheck : dev-install
+dev-update:
+ifeq ($(DISABLE_LINKOO),TRUE)
+ @linkoo --copy $(DEVINSTALLDIR)/opt $(SRCDIR)
+else
+ @linkoo $(DEVINSTALLDIR)/opt $(SRCDIR)
+endif
+
install-tb:
@rm -rf $(DEVINSTALLDIR)
@mkdir $(DEVINSTALLDIR)
commit e922d0ce1081bb90da30735c2cb22b6ce2ca7220
Author: LuboÅ¡ LuÅák <l.lunak at suse.cz>
Date: Mon Oct 29 23:39:00 2012 +0100
fix absolute path test in linkoo
Change-Id: I0ac41af09ac6582c3f75239f2163c895665cd572
diff --git a/solenv/bin/linkoo b/solenv/bin/linkoo
index e8eff52..c97df91 100755
--- a/solenv/bin/linkoo
+++ b/solenv/bin/linkoo
@@ -106,8 +106,8 @@ if ($usage || !defined $OOO_INSTALL || !defined $OOO_BUILD) {
exit (1);
}
-substr ($OOO_INSTALL, 0, 1) eq '/' || die "linkoo requires absolute paths ($OOO_INSTALL does not qualify)";
-substr ($OOO_BUILD, 0, 1) eq '/' || die "linkoo requires absolute paths ($OOO_BUILD does not qualify)";
+File::Spec->file_name_is_absolute($OOO_INSTALL) || die "linkoo requires absolute paths ($OOO_INSTALL does not qualify)";
+File::Spec->file_name_is_absolute($OOO_BUILD) || die "linkoo requires absolute paths ($OOO_BUILD does not qualify)";
-d $OOO_INSTALL || die "No such directory $OOO_INSTALL";
-w $OOO_INSTALL || die "You need write access to $OOO_INSTALL";
commit a6ec2349fa866c9af18feb7d13873a19e81449e0
Author: LuboÅ¡ LuÅák <l.lunak at suse.cz>
Date: Mon Oct 29 23:38:22 2012 +0100
fix windows detection in linkoo
Change-Id: I18d1dbdc9d7ed6027969424a196532084537fe87
diff --git a/solenv/bin/linkoo b/solenv/bin/linkoo
index c6e6a2b..e8eff52 100755
--- a/solenv/bin/linkoo
+++ b/solenv/bin/linkoo
@@ -73,10 +73,6 @@ if ($ENV{'OS'} eq 'MACOSX') {
print "FIXME: linkoo currently does not work on Mac OS X\n";
exit(0);
}
-if ($TARGET eq 'wntgcci.pro') {
- $windows = 1;
- $copy = 1;
-}
# process options
for my $a (@ARGV) {
@@ -119,6 +115,10 @@ substr ($OOO_BUILD, 0, 1) eq '/' || die "linkoo requires absolute paths ($OOO_
($TARGET, $LIBVER, $LANG) = sniff_target ($OOO_BUILD);
+if ($TARGET =~ /^wntgcci/ || $TARGET =~ /^wntmsci[0-9]+/) {
+ $windows = 1;
+ $copy = 1;
+}
# setup global variables
my $brand_program_dir = 'program';
More information about the Libreoffice-commits
mailing list